Summary:	GtkGLArea OpenGL widget for GTK+
Summary(pl.UTF-8):	GtkGLArea - kontrolka GTK+ do prezentacji obiektów OpenGL
Summary(pt_BR.UTF-8):	Um widget OpenGL para a biblioteca GUI GTK+
Summary(ru.UTF-8):	GtkGLArea - это OpenGL виджет для GTK+
Summary(uk.UTF-8):	GtkGLArea - це OpenGL віджет для GTK+
Summary(wa.UTF-8):	GtkGLArea est on ahesse pol toolkit grafike GTK+
Name:		gtkglarea
Version:	2.0.1
Release:	4
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtkglarea/2.0/%{name}-%{version}.tar.bz2
# Source0-md5:	19af1b2185555b3bb28eef8bbaa36067
Patch0:		format-security.patch
# libGLU for examples only
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 1:2.1.3-3
BuildRequires:	libtool
BuildRequires:	pkgconfig
Obsoletes:	libgtkglarea5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Just as GTK+ is build on top of GDK, GtkGLArea is built on top of
gdkgl which is basically wrapper around GLX functions. The widget
itself is derived from GtkDrawinigArea widget and adds only few extra
functions.

%description -l pl.UTF-8
Podobnie jak GTK+ jest zbudowane na GDK, tak i GtkGLArea powstało na
bazie gdkgl, który jest wrapperem funkcji GLX. Sam widget pochodzi od
GtkDrawingArea i posiada jedynie kilka dodatkowych funkcji.

%description -l pt_BR.UTF-8
GtkGLArea é um OpenGL widget para GTK+ (the Gimp ToolKit), uma
biblioteca GUI. GtkGLArea é construída em cima do gdkgl. Gdkgl é
basicamente um wrapper de funções GLX. GtkGLArea widget é derivado do
widget GtkDrawingArea e adiciona somente algumas funções.

%description -l ru.UTF-8
Так же как GTK+ строится поверх GDK, GtkGLArea построена поверх gdkgl,
которая по сути есть оберткой вокруг функций GLX. Сам виджет очень
похож на виджет GtkDrawinigArea и добавляет только три новые функции.

%description -l uk.UTF-8
Так само, як GTK+ будується поверх GDK, GtkGLArea побудована поверх
gdkgl, яка по суті є обгорткою навкруг функцій GLX. Сам віджет дуже
схожий на віджет GtkDrawinigArea та додає лише три нові функції.

%package devel
Summary:	GtkGLArea OpenGL widget for GTK+ - development libs and headers
Summary(pl.UTF-8):	Pliki nagłówkowe GtkGLArea
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão para desenvolvimento de aplicações que usem a biblioteca GtkGLArea
Summary(ru.UTF-8):	GtkGLArea - файлы для разработки программ
Summary(uk.UTF-8):	GtkGLArea - файли для розробки програм
Summary(wa.UTF-8):	GtkGLArea est on ahesse po GTK+ - fitchîs *.h èt statikès lîvreyes
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-devel
Requires:	gtk+2-devel >= 1:2.1.2
Obsoletes:	libgtkglarea5-devel

%description devel
Header files for development using the GtkGLArea widget.

%description devel -l pl.UTF-8
Pliki nagłówkowe do budowania programów używających widgetu GtkGLArea.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão para desenvolvimento de aplicações
que usem a biblioteca GtkGLArea.

%description devel -l ru.UTF-8
Файлы для разработки программ с использованием GtkGLArea.

%description devel -l uk.UTF-8
Файли для розробки програм з використанням GtkGLArea.

%description devel -l wa.UTF-8
Ci paket chal a dvins les fitchîs *.h eyèt les statikès lîvreyes k' i
gn a mezåjhe po fé des porogrames avou les foncsions di GtkGLArea.

%package static
Summary:	GtkGLArea static libraries
Summary(pl.UTF-8):	Statyczne biblioteki GtkGLArea
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento de aplicações que usem a biblioteca GtkGLArea
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GtkGLArea (OpenGL for GTK+) static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki GtkGLArea (OpenGL dla GTK+).

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento de aplicações que usem a
biblioteca GtkGLArea.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

# lib doesn't use libGLU
%{__make} -C gtkgl \
	GL_LIBS="-lGL"

# but examples do
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgtkgl-2.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtkgl-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtkgl-2.0.so.1

%files devel
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README docs/*.txt
%attr(755,root,root) %{_libdir}/libgtkgl-2.0.so
%{_includedir}/gtkgl-2.0
%{_pkgconfigdir}/gtkgl-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtkgl-2.0.a
%changelog
* Mon Apr 06 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtkglarea.git;a=log;h=master

* Mon Apr 06 2015 Jan Rękorajski <baggins@pld-linux.org> fb2c717
- fix format string errors
- rel 4

* Wed Apr 06 2011 Artur Frysiak <artur@frysiak.net> a6ba6a4
- fix removing libtool file
- rel. 3

* Wed Apr 06 2011 Artur Frysiak <artur@frysiak.net> 96149f1
- drop libtool file
- rel. 2

* Wed Jan 27 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 7b463b2
- updated to 2.0.1

* Mon Nov 17 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 3348577
- updated to 2.0.0

* Sun Nov 16 2008 pawelz <pawelz@pld-linux.org> 78d6d3c
- %%ghost symlink for so library

* Sun Aug 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 0b5f36a
- unified gnome source URL
- clarified License

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d4195f3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> acbcd7c
- converted to UTF-8

* Thu Nov 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 0589554
- don't link library with libGLU
- Group fixes, release 5

* Thu Sep 28 2006 Elan Ruusamäe <glen@pld-linux.org> fd79dad
- strict internal deps

* Mon Dec 20 2004 zbyniu <zbyniu@pld-linux.org> 9ea6ae8
- BR: pkgconfig

* Mon Oct 25 2004 paladine <paladine@pld-linux.org> 2ebf4f6
- [Gg]tk+ -> GTK+

* Sat Sep 25 2004 radek <radek@pld-linux.org> f2ff71a
- cosmetics (spaces -> tabs)

* Tue Aug 17 2004 ankry <ankry@pld-linux.org> b97a24e
- rel. 4 to rebuild

* Fri Jan 02 2004 Jacek Konieczny <jajcus@pld-linux.org> eb62867
- Release: 3 (STBR after AMD64 fixes)

* Sat Dec 27 2003 Jacek Konieczny <jajcus@pld-linux.org> 5ca2003
- copy config.sub from automake

* Sun May 25 2003 Michal Moskal <michal@moskal.me> 59db0bd
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 3c399b9
- massive attack s/pld.org.pl/pld-linux.org/

* Tue Jan 07 2003 ankry <ankry@pld-linux.org> 8fd4140
- renamed gtkglarea-m4_fix.patch -> gtkglarea1-m4_fix.patch

